import random
import math
import util
import sys
from demoscript import *
sched = SchedulerSingleton_instance() # setup scheduler

joypad1 = 0
addMapping(joypad1,0,"reset")	# map button a 
addMapping(joypad1,1,"next")	# map button a 

art1=util.SimpleScene("d:\\demos\\demo\\drol.lzma",nextCamera=["next"],reset=["reset"])
sched.schedule(0,192,art1,SI_A,0)




glowBlur=Blur()
glowBlur.mix=FixedSlider(0.7,0.7)
glowBlur.setAdditive(0)

gamma=util.SimpleGamma(colors=[0,1,2],events=["reset"])
noise=util.SimpleNoise("reset")

distort = util.SimpleDistort([[5,"reset"]])




noise.connectOutput(gamma,"in")

gamma.connectOutput(glowBlur,"in")

glowBlur.connectOutput(distort,"in")

sched.schedule(0,
			   183,
			   distort,
			   SI_POST,
			   0)

sched.schedule(0,
			   183,
			   art1,
			   SI_POST,
			   0)



playSong("d:\\demos\\demo\\batts.wma")
